[Overview][Resource strings][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'daemonapp' (#fcl)

# TDaemonDef.DaemonClass

TDaemon class to use for this daemon

## Declaration

Source position: daemonapp.pp line 234

`public property TDaemonDef.DaemonClass: TCustomDaemonClass read FDaemonClass;`

## Description

DaemonClass is the TDaemon class that is used when this service is requested. It is looked up in the application's global daemon mapper by it's name in DaemonClassName.

## See also

DaemonClassName |  | Name of the TDaemon class to use for this daemon
TDaemonMapper |  | Daemon mapper for designing in IDE

The latest version of this document can be found at lazarus-ccr.sourceforge.net.